import { Controller } from "../common";
import { PostMessageble } from "../hook/adapter";
import { RequestData } from "../common/index.dto";
import { getClient } from "../mcp/connect.service";
import { getTour, loadSetting, saveSetting, setTour } from "./setting.service";

export class SettingController {

    @Controller('setting/save')
    async saveSetting(data: RequestData, webview: PostMessageble) {
        const client = getClient(data.clientId);
        saveSetting(data);
        console.log('Settings saved successfully');
        
        return {
            code: 200,
            msg: 'Settings saved successfully'
        };
    }

    @Controller('setting/load')
    async loadSetting(data: RequestData, webview: PostMessageble) {
        const client = getClient(data.clientId);
        const config = loadSetting();
        return {
            code: 200,
            msg: config
        }
    }

    @Controller('setting/set-tour')
    async setTourController(data: any, webview: PostMessageble) {
        const { userHasReadGuide } = data;
        setTour(userHasReadGuide);

        return {
            code: 200,
            msg: 'setTour success'
        }
    }

    @Controller('setting/get-tour')
    async getTourController(data: any, webview: PostMessageble) {
        
        const { userHasReadGuide } = getTour();

        return {
            code: 200,
            msg:{
                userHasReadGuide
            }
        }
    }
}